<html>
	<head>
		<title>Projet Groupe 36</title>
		<link rel="stylesheet" href="style.css" >
	</head>
	<body>
		<h1 style="text-align: center;">Projet individuel de Corentin<br></h1>
		<a href="index.html">Retourner a la page principale<br></a>
		

		<U><h2 style="text-align: center;">Manipulation de Fenêtre<br></h2></U>

		<center><img src="../Yvan/gif/fenetreCoco.gif" alt="Animation faite par Corentin" width="700" 
		height="500"  /></center>
		<p></p>
		<a href="./fenetreCorentin">Testez-le vous-même<br></a>
		<U><h3>Un peu de code:<br></h3></U>


		<U><h2 style="text-align: center;">Manipulation de forme<br></h2></U>
		<center><img src="../Yvan/gif/etoileCorentin.gif" alt="Animation faite par Corentin" width="500" 
		height="500"  /></center>
		<p></p>
		<a href="./animationCorentin">Testez-le vous-même<br></a>
		<U><h3>Un peu de code:<br></h3></U>
		<pre><code class="language-c">

			//initialisation des etoiles
			int running = 1;
			int nb_etoile = 100;
			int x[nb_etoile]; 
			int y[nb_etoile];


			int red[nb_etoile];
			int green[nb_etoile];
			int blue[nb_etoile];

			int speed[nb_etoile];
			int distance[nb_etoile];

			srand(time(NULL));
			
			for (int k=0; k< nb_etoile; k++)
			{
				red[k]=150 + rand()%100;
				green[k]=150 + rand()%100;
				blue[k]=150 + rand()%100;

				x[k] = -100 + rand()%600;
				y[k] = -50 + rand()%500;

				speed[k] = 1 + rand()%2;
				distance[k] = 1 + rand()%1;
			}

			//dans la boucle event
			SDL_SetRenderDrawColor(renderer, 0, 0, 0, 255);
			SDL_RenderClear(renderer);
	
			for (int l = 0; l< nb_etoile; l++){
	
				SDL_SetRenderDrawColor(renderer, red[l], green[l], blue[l], 255);                   
				SDL_RenderDrawLine(renderer,                             
					x[l], y[l],                                          // x,y du point de la première extrémité
					x[l] + distance[l]*20, y[l] + distance[l]*30);                                // x,y seconde extrémité
				
				x[l] = x[l] + 2*speed[l];
				y[l] = y[l] + 3*speed[l];
	
				if (x[l]>605 || y[l]>605)
				{
					x[l] = -100 + rand()%200;
					if (x[l] < -10)
						y[l] = rand()%500;
					else{
						y[l] = -50 + rand()%40;
						x[l] = rand()%550;
					}
				}
			}
		</code></pre>
		<p></p>
		<U><h2 style="text-align: center;">Manipulation de Sprite<br></h2></U>

		<center><img src="../Yvan/gif/BABAisCOCOagain.gif" alt="Animation faite par Corentin" width="700" 
		height="260"  /></center>
		<p></p>
		<a href="../Corentin/spriteCorentin">Testez-le vous-même<br></a>
		<U><h3>Un peu de code:<br></h3></U>
		<pre><code class="language-c">

			//controle et Pivot
			switch (event.key.keysym.sym) {             // la touche appuyée est ...
				case SDLK_d:
					x = x + speed;
					if (Or == 'g'){
						flip1 = SDL_FLIP_NONE;
						Or = 'd';
					}
					break;
				case SDLK_q:
					x = x - speed;
					if (Or == 'd'){
						flip1 = SDL_FLIP_HORIZONTAL;
						Or = 'g';
					}
					break;
				case SDLK_z:
					y = y - speed;
					break;
				case SDLK_s:
					y = y + speed;
					break;

				//Un monde en tore
				if (x>=575)
					x=-19;
				if (x<=-37)
					x=557;
				if (y>=176)
					y=-22;
				if (y<=-40)
					y=158;
		</code></pre>
		<a href="index.html">Retourner a la page principale<br></a>
	</body>
</html>
